#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This is the class-variant from which you can subclass, if you need
# a specialized class that already has this functionality.
# =========================================================================== #
# require 'save_file/base/base.rb'
# =========================================================================== #
module SaveFile

class SaveFile

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
    reset
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
  end

  # ========================================================================= #
  # === write_what_into
  # ========================================================================= #
  def write_what_into(
      what = "Hello world!\n",
      into = 'default_test_file.md'
    )
    ::SaveFile.write_what_into(what, into)
  end

end

# =========================================================================== #
# === SaveFile.new
# =========================================================================== #
def self.new
  ::SaveFile::SaveFile.new
end

end